aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: r11057 compile error  (Read 1032 times)

Coronas

  • Approved Newbie
  • *
  • Karma: 1
  • Offline Offline
  • Posts: 48
r11057 compile error
« on: September 22, 2020, 05:51:34 AM »

Hi,
when compiling the lastest tarball on my NAS, i get an error:

Code: [Select]
/usr/local/bin/ccache g++ -DHAVE_CONFIG_H -I. -I..  -DUSE_WX_EXTENSIONS -I/usr/local/lib/wx/include/base-unicode-release-static-2.8 -I/usr/local/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DwxUSE_GUI=0 -DwxUSE_GUI=0 -I./libs -I./include -D__WEAK_CRYPTO__ -I/usr/local/include/upnp   -DENABLE_UPNP=1  -W -Wall -Wshadow -Wundef -O2  -MT libmuleappcore_a-ThreadScheduler.o -MD -MP -MF .deps/libmuleappcore_a-ThreadScheduler.Tpo -c -o libmuleappcore_a-ThreadScheduler.o `test -f 'ThreadScheduler.cpp' || echo './'`ThreadScheduler.cpp
mv -f .deps/libmuleappcore_a-ThreadScheduler.Tpo .deps/libmuleappcore_a-ThreadScheduler.Po
/usr/local/bin/ccache g++ -DHAVE_CONFIG_H -I. -I..  -DUSE_WX_EXTENSIONS -I/usr/local/lib/wx/include/base-unicode-release-static-2.8 -I/usr/local/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DwxUSE_GUI=0 -DwxUSE_GUI=0 -I./libs -I./include -D__WEAK_CRYPTO__ -I/usr/local/include/upnp   -DENABLE_UPNP=1  -W -Wall -Wshadow -Wundef -O2  -MT libmuleappcore_a-UPnPBase.o -MD -MP -MF .deps/libmuleappcore_a-UPnPBase.Tpo -c -o libmuleappcore_a-UPnPBase.o `test -f 'UPnPBase.cpp' || echo './'`UPnPBase.cpp
UPnPBase.cpp: In constructor `CUPnPControlPoint::CUPnPControlPoint(short unsigned int)':
UPnPBase.cpp:835: error: `UpnpInit2' undeclared (first use this function)
UPnPBase.cpp:835: error: (Each undeclared identifier is reported only once for each function it appears in.)
make[3]: *** [libmuleappcore_a-UPnPBase.o] Error 1
make[3]: Leaving directory `/shares/internal/SOURCES/aMuleSVN-11057/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/shares/internal/SOURCES/aMuleSVN-11057/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/shares/internal/SOURCES/aMuleSVN-11057'
make: *** [all] Error 2

Revision 11055 went through just fine... Anybody help me, please?
Logged

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 167
  • Offline Offline
  • Posts: 2692
Re: r11057 compile error
« Reply #1 on: October 02, 2020, 10:14:37 AM »

What libupnp version do you use?
Logged
concordia cum veritate

Coronas

  • Approved Newbie
  • *
  • Karma: 1
  • Offline Offline
  • Posts: 48
Re: r11057 compile error
« Reply #2 on: October 03, 2020, 06:53:56 PM »

libupnp-1.6.20
Logged

Coronas

  • Approved Newbie
  • *
  • Karma: 1
  • Offline Offline
  • Posts: 48
Re: r11057 compile error
« Reply #3 on: October 04, 2020, 09:01:10 PM »

Thanks for the hint, an update to libupnp-1.10.1 did the job!
Logged

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 167
  • Offline Offline
  • Posts: 2692
Re: r11057 compile error
« Reply #4 on: October 10, 2020, 09:58:16 PM »

Nice to hear that :)
Logged
concordia cum veritate

Coronas

  • Approved Newbie
  • *
  • Karma: 1
  • Offline Offline
  • Posts: 48
Re: r11057 compile error
« Reply #5 on: October 11, 2020, 01:27:50 PM »

diff -Naur configure.orig configure.new

Code: [Select]
--- configure.orig      2020-10-06 01:56:02 +0100
+++ configure.new       2020-10-11 12:25:08 +0100
@@ -9292,13 +9292,13 @@
        if test $cross_compiling = no; then :

                { $as_echo "$as_me:${as_lineno-$LINENO}: checking for libupnp version >= 1.6.6" >&5
-$as_echo_n "checking for libupnp version >= 1.6.6... " >&6; }
+$as_echo_n "checking for libupnp version >= 1.8.3... " >&6; }
                if test -n "$PKG_CONFIG"; then :

                        if $PKG_CONFIG libupnp --exists; then :

                                LIBUPNP_VERSION=`$PKG_CONFIG libupnp --modversion`
-                               if $PKG_CONFIG libupnp --atleast-version=1.6.6; then :
+                               if $PKG_CONFIG libupnp --atleast-version=1.8.3; then :

                                        result=yes
                                        resultstr=" (version $LIBUPNP_VERSION)"
@@ -9330,7 +9330,7 @@
 fi
                { $as_echo "$as_me:${as_lineno-$LINENO}: result: $result$resultstr" >&5
 $as_echo "$result$resultstr" >&6; }
-               libupnp_error="libupnp >= 1.6.6 not found$resultstr"
+               libupnp_error="libupnp >= 1.8.3 not found$resultstr"

 else

Logged